package cn.com.countrygarden.bi.main.dao.review;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.ReviewQuestionnaireProblemDTO;
import cn.com.countrygarden.bi.main.dto.ReviewQuestionnaireProblemEditVo;
import cn.com.countrygarden.bi.main.dto.ReviewQuestionnaireProblemOptionVo;
import cn.com.countrygarden.bi.main.dto.ReviewQuestionnaireProblemVo;
import cn.com.countrygarden.bi.main.model.review.ReviewQuestionnaireProblem;
/**
 * 问题表-数据层
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-06-25
 */
public interface ReviewQuestionnaireProblemMapper extends Mapper<ReviewQuestionnaireProblem>{
	
	  List<ReviewQuestionnaireProblemVo> queryQuestionnaireProblemdanVo(@Param(value="questionnaireId")int questionnaireId);
	
	  List<ReviewQuestionnaireProblemVo> queryQuestionnaireProblemVo(@Param(value="questionnaireId")int questionnaireId);
	  
	  List<ReviewQuestionnaireProblemVo> queryQuestionnaireProblemwendaVo(@Param(value="questionnaireId")int questionnaireId);
	  
	  List<ReviewQuestionnaireProblemOptionVo> option(@Param("problemid") int problemid); 
	  
	  int deleteQuestionnaireProblem(@Param(value="questionnaireId")int questionnaireId);

	  List<ReviewQuestionnaireProblemEditVo>  queryProblemTypeAndProblemClass();

	  int updateProblemFlag(@Param(value="questionnaireId")Integer questionnaireId);

	  List<Integer> selectProblemId(@Param(value="questionnaireId")Integer questionnaireId);
	  
//	  List<Integer> selectProblemClassificationIdsYesDelete(@Param(value="classificationIds")List<Integer> classificationIds,@Param(value="questionnaireId")int id);
	  List<Integer>  selectProblemClassificationIds(@Param(value="classificationIds")List<Integer> classificationIds,@Param(value="questionnaireId")int id);
	  
      List<ReviewQuestionnaireProblemDTO> questionnaireProblems(@Param(value="questionnaireId")Integer questionnaireId,@Param(value="investigationmanagementId") Integer investigationmanagementId);

      
      List<ReviewQuestionnaireProblemDTO> questionoblemsex(@Param(value="questionnaireId")Integer questionnaireId,@Param(value="investigationmanagementId") Integer investigationmanagementId);
      
      List<ReviewQuestionnaireProblemDTO> questionoblemswenex(@Param(value="questionnaireId")Integer questionnaireId,@Param(value="investigationmanagementId") Integer investigationmanagementId);
      
      List<Integer> selectrqclassiid();
}